<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $registros=mysqli_query($con,"SELECT * FROM empresa WHERE emp_id='$empresa'") or die(mysqli_error($con));
    $fila=mysqli_fetch_array($registros);
    $emp_regimen = $fila['emp_regimen'];
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='19' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include ('head.php'); ?>
</head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="active";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$cotizacion="";
$ventas="";
$periodica="";
$clientes="";
$cartera="";
$garantias="";
$abonos="";
$abonos="";
$cotizacion_online="active";
include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2"> 
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <div class="widget stacked">
            <div class="widget-header"></div>
            <div class="widget-content">
                <?php
                    $cot_id=$_GET['cot_id'];
                    $sql=mysqli_query($con,"UPDATE cotizacion Set vendedor='$usu_id' Where cot_id='$cot_id' and empresa='$empresa'") or die(mysqli_error($con)); 

                    $can=mysqli_query($con,"SELECT * FROM cotizacion  where cot_id='$cot_id'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can); 
                    $cliente_id=$dato['cliente_id'];
                    $cot_nombre=$dato['cot_nombre'];
                    $cot_correo=$dato['cot_correo'];
                    $vendedor=$dato['vendedor'];

                ?> 
                 <div class="col-md-4">
                    <div class="form-group">
                        <label>Cliente</label>
                            <section id="intro" >
                                <select name="clie_nombre" id="clie_nombre"  class="form-control name_list" required onchange=" return update_cliente(1,this.value);">
                                <option value='<?php echo $cliente_id;?>'><?php echo $cot_nombre;?></option>
                                    <?php
                                        $result_1 = mysqli_query($con,"SELECT * FROM cliente WHERE clie_id <>'$cliente_id' ");  
                                        while ($row_1=mysqli_fetch_array($result_1)) 
                                        {   
                                          echo "<option value='".$row_1['clie_id']."'>".$row_1['clie_nombre']."</option>"; 
                                        }  
                                    ?>
                              </select>
                        </section>
                    </div> <!-- /.form-group -->
                    <div class="form-group">
                        <label>Telefono</label>
                        <input type="text" id="cot_telefono" value="<?php echo  $dato['cot_telefono'];  ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                    <div class="form-group">
                        <label>Correo</label>
                        <input type="text" id="cot_correo" value="<?php echo  $dato['cot_correo'];  ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->  
                </div><!-- 4--> 
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Fecha</label>
                        <input type="text" id="cot_fecha" value="<?php echo   $dato['cot_fecha']; ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                    <div class="form-group">
                        <label>Validez</label>
                         <input type="text" id="cot_valides" value="<?php echo $dato['cot_validez']; ?> Dias" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label>Cotizacion Nº</label>
                        <input type="text" id="cot_n_cotizacion" value="<?php echo  $dato['cot_n_cotizacion']; ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                    <div class="form-group">
                        <label>Vendedor</label>
                        <?php
                            $canu=mysqli_query($con,"SELECT usu_nombre FROM usuario where usu_id='$vendedor'") or die(mysqli_error($con)); 
                            $datou=mysqli_fetch_array($canu);
                        ?>
                        <input type="text" id="cot_vendedor" value="<?php echo $datou['usu_nombre']; ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div>
                <div class="col-md-8">
                    <label>Observaciones</label>
                    <input type="text" id="observaciones" value="<?php echo $dato['observaciones']; ?>" class="form-control input-sm" onblur="update_observaciones(3,this.value);">
                </div>

                <div class="col-md-4" style="padding:0px;">
                    <label>&nbsp;</label>
                    <form action="" method="post" id="tarifa" name="tarifa" class="">
                        <div class="input-group">
                            <input type="hidden" name="cot_id3" id="cot_id3" value="<?php echo $cot_id;?>" >
                            <select class="form-control" name="tarifa_select" required>
                                <option value=""></option>
                                <?php
                                    $tar=mysqli_query($con,"SELECT * FROM tarifas WHERE empresa='$empresa'");  
                                    while ($dato_tar=mysqli_fetch_array($tar)) 
                                    {   ?>
                                        <option value='<?php echo $dato_tar['tar_id']; ?>'> <?php echo mb_strtoupper($dato_tar['tar_nombre']); ?></option> 
                                   <?php }   ?>
                            </select>
                            <span class="input-group-btn">
                            <button name="btn_tar" id="btn_tar" type="submit" class="btn btn-primary" ><span class="btn-icon-only icon-refresh"> Tarifa</button></span>
                        </div>
                    </form>
                </div>
                <div class="col-md-4">
                    <label>&nbsp;</label>
                    <div class="form-group"  align="right"  >
                        <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal" style="width:100%;">
                        <span class="btn-icon-only icon-plus "></span>Agregar Productos
                        </button>
                    </div> </br> 
                </div>

                <div class="table-responsive">
                    <div id="tabla"></div>  
                </div> <!-- /.table-responsive -->
              
                <div id="resultados"  style="margin-top:10px"></div><!-- Carga los datos ajax -->
                </br>
                <div class="col-md-4" >
                    <form action="" method="post" id="descuentotal" name="descuentotal" class="">
                        <div class="input-group">
                            <input type="hidden" name="cot_id1" id="cot_id1" value="<?php echo $cot_id;?>" >
                            <input type="number" min="0" max="99" name="desc" value="0" class="form-control" id="desc" placeholder="%" required />
                            <span class="input-group-btn">
                                 <button name="btn_desc" id="btn_desc" type="submit" class="btn btn-warning">Descuento</button>
                            </span>
                        </div>
                    </form>
                </div>
                <div class="col-md-4">
                    <form action="" method="post" id="retencion" name="retencion" class="">
                        <div class="input-group">
                            <input type="hidden" name="cot_id2" id="cot_id2" value="<?php echo $cot_id;?>" >
                            <select class="form-control " name="retencion" required>
                                <option value=""></option>
                                <?php
                                    $result_1=mysqli_query($con,"SELECT * FROM retencion WHERE empresa='$empresa'");  
                                    while ($row_1=mysqli_fetch_array($result_1)) 
                                    {   ?>
                                        <option value='<?php echo $row_1['ret_id']; ?>'><?php echo mb_strtoupper($row_1['ret_nombre']); ?> (<?php echo $row_1['ret_porcentaje']; ?> %)</option> 
                                <?php } ?>
                            </select>
                            <span class="input-group-btn">
                            <button name="btn_ret" id="btn_ret" type="submit" class="btn btn-warning">Retención</button></span>
                        </div>
                    </form>
                </div>

                

                <div class="pull-right">
                    <a href="V_cotizaciones.php" type="button" class="btn btn-danger"><i class="btn-icon-only fa fa-angle-double-left"></i> Atras</a>
                    <a onclick="enviar_email('<?php echo $cot_id; ?>','<?php echo $cot_correo;?>')" type="button" class="btn btn-info" >
                        <span class="btn-icon-only icon-envelope"></span> Enviar Correo</a>
                    <a type="button" class="btn btn-warning" href="#facturar<?php echo $cot_id; ?>" data-toggle="modal" class="btn-Facturar">Facturar</a>
                     <?php include('include/boton_cotizacion2.php'); ?>
                </div>
            </div>
        </div></br></br></br></br>
    </div> <!-- /.form-group -->
</div> <!-- /.widget-content -->

<div class="modal fade" id="modal_agregar_lote" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Agregar lotes</h4>
            </div>
            <div class="modal-body">
                <div id="lotes"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<input type="hidden" name="cot_id" id="cot_id" value="<?php echo $cot_id;?>" >
<div id="facturar<?php echo $cot_id; ?>" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
                <form method="get" action="php_cotizaciones/facturar.php" target="_BLACK">
                    <div class="alert alert-info alert-dismissable">
                        <strong>Desea Facturar La Cotizacion</strong> <a href="#" class="alert-link"></a>
                    </div>
                    <input type="hidden" name="cot_id" id="cot_id"  value="<?php echo $cot_id; ?>">
                    <label>Facturar con Precios Actualizados (esto podria cambiar el total cotizado).</label><br>
                    <input type="radio" name="precio_act" value="si" ><label>Si</label><br>
                    <input type="radio" name="precio_act" value="no" checked><label>No</label>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-info" name="facturar" value="facturar" id="facturar"><i class="icon-ok"></i> <strong>Ok</strong></button>
                    </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div> 
</div> 
<?php 
include ('php_clientes/form_nuevo_cliente.php');

if($negocio_neg_id<>'7') 
{
    include ('php_buscador/buscador_cotizaciones.php');
} 
else 
{
    include ('tienda_a_tienda/buscador.php');
}
?>

<script>
$(document).ready(function(){
    load(1);
});

<?php if($negocio_neg_id<>'7') { ?>
function load(page){
var tarifa=$("#tarifa").val();
var q= $("#q").val();
var tipo=document.querySelector('input[name="tipo"]:checked').value
var cot_id=$("#cot_id").val();
$("#loader").fadeIn('slow');
$.ajax({
    url:'./php_buscador/articulos_cotizacion_m.php?action=ajax&page='+page+'&q='+q+'&cot_id='+cot_id+'&tipo='+tipo+'&tarifa='+tarifa,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
  })
}
<?php } else { ?>

function load(page){
    var cot_id=$("#cot_id").val();
    var q= $("#q").val();
    var tarifa= $("#tarifa").val();
    var tipo=document.querySelector('input[name="tipo"]:checked').value
    $("#loader").fadeIn('slow');
    $.ajax({
    url:'./tienda_a_tienda/z_buscador_cotizacion.php?action=ajax&page='+page+'&q='+q+'&tarifa='+tarifa+'&tipo='+tipo+'&cot_id='+cot_id,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
  })
}

<?php }  ?>
    

function loadTabla(){
    var cot_id=$("#cot_id").val();
    $('#editModal').modal('hide');
    $.get("./php_cotizaciones/z_tabla.php?cot_id="+cot_id,function(data){
    $("#tabla").html(data);
  })
}
loadTabla();

function update_cliente(campo,clie_nombre){
var cot_id=$("#cot_id").val();
var parametros = {"action":"update","campo":campo,"clie_nombre":clie_nombre,"cot_id":cot_id}; 
$.ajax({
    type: "GET",
    url: "./php_cotizaciones/editar_cliente.php",
    data: parametros,
     beforeSend: function(objeto){
      $("#resultados").html("Mensaje: Cargando...");
      },
    success: function(datos){
    $("#resultados").html(datos);
    }
    });
} 


function agregar (art_id_bod)
{
    var cot_id=$("#cot_id").val();
    var art_id=document.getElementById('art_id'+art_id_bod).value;
    var art_referencia=document.getElementById('art_referencia'+art_id_bod).value;
    var nombre=document.getElementById('nombre'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad'+art_id_bod).value;
    var art_iva=document.getElementById('art_iva'+art_id_bod).value;
    var descuento=document.getElementById('descuento'+art_id_bod).value;
    var precio_venta=document.getElementById('precio_venta'+art_id_bod).value;
    var tipo='articulo';
    var cambio='ven';

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id_bod).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id_bod).focus();
        return false;
    }
    $.ajax({
    type: "POST",
    url: "./php_cotizaciones/z_agregar_articulo.php",
    data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&tipo="+tipo+"&cot_id="+cot_id+"&cambio="+cambio,

    beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
        $("#tabla").html(datos);
        loadTabla();

    }
    });

}

function agregarnuevo ()
{
    var cot_id=$("#cot_id").val();
    var art_referencia=document.getElementById('art_referencia').value;
    var nombre=document.getElementById('nombre').value;
    var cantidad=document.getElementById('cantidad').value;
    var art_iva=document.getElementById('art_iva').value;
    var descuento=document.getElementById('descuento').value;
    var precio_venta=document.getElementById('precio_venta').value;
    var tipo='nuevo';
    var cambio='ven';

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_').focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_').focus();
        return false;
    }
    //Fin validacion
    $.ajax({
    type: "POST",
    url: "./php_cotizaciones/z_agregar_articulo.php",
    data: "art_referencia="+art_referencia+"&nombre="+nombre+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&precio_venta="+precio_venta+"&tipo="+tipo+"&cot_id="+cot_id+"&cambio="+cambio,

    beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
        $("#tabla").html(datos);
        loadTabla();
    }
    });
}


function agregarservicio_producto (art_id)
{
    var cot_id=$("#cot_id").val();
    var art_id=document.getElementById('art_id'+art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var nombre=document.getElementById('nombre'+art_id).value;
    var cantidad=document.getElementById('cantidad'+art_id).value;
    var art_iva=document.getElementById('art_iva'+art_id).value;
    var descuento=document.getElementById('descuento'+art_id).value;
    var precio_venta=document.getElementById('precio_venta'+art_id).value;
    var cambio='ven';
    var tipo=document.getElementById('tipo'+art_id).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id).focus();
        return false;
    }

    $.ajax({
    type: "POST",
    url: "./php_cotizaciones/z_agregar_articulo.php",
    data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&tipo="+tipo+"&cot_id="+cot_id+"&cambio="+cambio,

    beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
        $("#tabla").html(datos);
    }
    });
}



function agregarcombo(com_id)
{
    var cot_id=$("#cot_id").val();
    var art_referencia=document.getElementById('art_referencia'+com_id).value;
    var nombre=document.getElementById('nombre'+com_id).value;
    var cantidad=document.getElementById('cantidad'+com_id).value;
    var art_iva=document.getElementById('art_iva'+com_id).value;
    var descuento=document.getElementById('descuento'+com_id).value;
    var precio_venta=document.getElementById('precio_venta'+com_id).value;
    var tipo='combo';
    var cambio='ven';
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+com_id).focus();
        return false;
    }

    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+com_id).focus();
        return false;
    }
   
    $.ajax(
    {
        type: "POST",
        url: "./php_cotizaciones/z_agregar_articulo.php",
        data: "com_id="+com_id+"&art_referencia="+art_referencia+"&art_iva="+art_iva+"&descuento="+descuento+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&nombre="+nombre+"&tipo="+tipo+"&cot_id="+cot_id+"&cambio="+cambio,
        beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos){
        $("#tabla").html(datos);
        }
    });
}



function agregardetallado (artd_referencia)
    {
      var cot_id=$("#cot_id").val();
      var art_id=document.getElementById('art_id'+artd_referencia).value;
      var nombre=document.getElementById('nombre'+artd_referencia).value;
      var cantidad=document.getElementById('cantidad_'+artd_referencia).value;
      var art_iva=document.getElementById('art_iva'+artd_referencia).value;
      var descuento=document.getElementById('descuento'+artd_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+artd_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+artd_referencia).value;
      var tipo='detallado';
      var cambio='ven';
      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+artd_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+artd_referencia).focus();
      return false;
      }
       
      if(parseInt(precio_venta)<parseInt(precio_costo))
        {
           alert('Esta facturando por debajo del precio de compra !');
           document.getElementById('precio_venta_'+artd_referencia).focus();
        }
        $.ajax(
        {
            type: "POST",
            url: "./php_cotizaciones/z_agregar_articulo.php",
            data: "art_referencia="+artd_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&tipo="+tipo+"&cot_id="+cot_id+"&cambio="+cambio,

            beforeSend: function(objeto)
              {
              $("#tabla").html("Mensaje: Cargando...");
              },
            success: function(datos)
              {
                $("#tabla").html(datos);
                loadTabla();
              }

          });
    }
      
  
$( "#descuentotal" ).submit(function( event ) {
$('#btn_desc').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_cotizaciones/z_descuento.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#tabla").html(datos);
      $('#btn_desc').attr("disabled", false);
      loadTabla();
      loadtotal();
      }
  });
  event.preventDefault();
})  

$( "#retencion").submit(function( event ) {
$('#btn_ret').attr("disabled", true);
var parametros = $(this).serialize();
    $.ajax({
    type: "POST",
    url: "php_cotizaciones/z_retencion.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#tabla").html(datos);
    $('#btn_ret').attr("disabled", false);
    loadTabla();
    loadtotal();
    }
  });
  event.preventDefault();
}) 


$("#tarifa").submit(function( event ) {
$('#btn_tar').attr("disabled", true);
var parametros = $(this).serialize();
    $.ajax({
    type: "POST",
    url: "php_cotizaciones/z_tarifa.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados").html(datos);
    $('#btn_tar').attr("disabled", false);
    loadTabla();
    loadtotal();
    }
  });
  event.preventDefault();
}) 



function update_observaciones(campo,observaciones){
var cot_id=$("#cot_id").val();
var parametros = {"action":"update","campo":campo,"observaciones":observaciones,"cot_id":cot_id}; 
  $.ajax({
    type: "GET",
    url: "./php_cotizaciones/z_observacion.php",
    data: parametros,
     beforeSend: function(objeto){
      $("#resultados").html("Mensaje: Cargando...");
      },
    success: function(datos){
    $("#resultados").html(datos);
    }
    });
}

function enviar_email(cot_id)
{
    VentanaCentrada('./libraries/pdf/pdf_correos/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
}
</script>

   
<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>

<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>